İçeriğe geç
Twexapi
Türkçe
Esc
gezin⌘Jönizle

Get Following (v3)

Get following list of a user. Page size 10-100; use cursor for more pages. $0.05/1000 users.

API Belgelerine Dön
/Followers & Following Endpoints
POST/v3/twitter/users/following
API Yetkilendirmesi
AuthorizationBearer token · headerzorunlu
TwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/json
usernamestringzorunlu
Twitter username (with or without @).
countinteger | any
Number of users to return per page (min 10, max 100).
default: 20
Özellikleri göster
Any of:
integer
integer
any
any
cursorstring | any
Sayfalama imleci
Özellikleri göster
Any of:
string
string
any
any
Yanıtlar
200Following page with cursor pagination.
codeintegerzorunlu
HTTP durum kodu (200 başarılı anlamına gelir)
msgstringzorunlu
Yanıt mesajı (örn: 'success')
dataVerifiedFollowersData | any
Uç nokta tarafından döndürülen ana veri
Özellikleri göster
Any of:
VerifiedFollowersData
usersUserInfo[]zorunlu
Follower users on this page
Özellikleri göster
Array of UserInfo
userIdstringzorunlu
User ID
isBlueVerifiedbooleanzorunlu
Blue verification status
createdAtstringzorunlu
Account creation date
createdAtDatetimestring | any
Account creation datetime in ISO format
Özellikleri göster
Any of:
string
string
any
any
defaultProfilebooleanzorunlu
Default profile flag
defaultProfileImagebooleanzorunlu
Default profile image flag
descriptionstringzorunlu
Profil biyografisi (Bio)
locationstringzorunlu
Location
fastFollowersCountintegerzorunlu
Fast followers count
favouritesCountintegerzorunlu
Likes count
followersCountintegerzorunlu
Followers count
followingCountintegerzorunlu
Following count
hasCustomTimelinesbooleanzorunlu
Has custom timelines flag
isTranslatorbooleanzorunlu
Is translator flag
listedCountintegerzorunlu
Listed count
mediaCountintegerzorunlu
Media count
namestringzorunlu
Kullanıcının görünen adı
normalFollowersCountintegerzorunlu
Normal followers count
pinnedTweetIdsStrany[] | any
Pinned tweet IDs
Özellikleri göster
Any of:
any[]
Array of any
any
any
any
possiblySensitivebooleanzorunlu
Possibly sensitive flag
profileImageUrlHttpsstringzorunlu
Profile image URL
usernamestringzorunlu
Username
statusesCountintegerzorunlu
Tweets count
translatorTypestring | any
Translator type
Özellikleri göster
Any of:
string
string
any
any
verifiedbooleanzorunlu
Legacy verification status
verified_typestring | any
Verification badge type: blue, business, government, etc.
Özellikleri göster
Any of:
string
string
any
any
withheldInCountriesany[] | any
Withheld in countries
Özellikleri göster
Any of:
any[]
Array of any
any
any
any
protectedbooleanzorunlu
Protected account flag
urlstring | any
User profile URL
Özellikleri göster
Any of:
string
string
any
any
descriptionUrlsany[] | any
Description URLs
Özellikleri göster
Any of:
any[]
Array of any
any
any
any
urlsany[] | any
User URLs
Özellikleri göster
Any of:
any[]
Array of any
any
any
any
pinnedTweetIdsany[] | any
Pinned tweet IDs
Özellikleri göster
Any of:
any[]
Array of any
any
any
any
has_next_pagebooleanzorunlu
Sonraki sayfanın olup olmadığını belirtir
next_cursorstring | any
Sonraki sayfayı getirmek için kullanılan imleç (Cursor)
Özellikleri göster
Any of:
string
string
any
any
any
any
422Parametre Doğrulama Hatası
detailValidationError[]
Özellikleri göster
Array of ValidationError
locstring | integer[]zorunlu
Özellikleri göster
Array of string | integer
Any of:
string
string
integer
integer
msgstringzorunlu
Yanıt mesajı (örn: 'success')
typestringzorunlu
inputany
ctxobject
Etkileşimli KonsolPOST
Etkileşimli Konsol / API TestiPOST
Live Console
🌐Hedef Sunucu:https://api.twexapi.io
● Canlı Ortam Hazır
🔍
Genel Veri Okuma (Yalnızca TwexAPI Anahtarı, Twitter Çerezi Gerekmez)

Bu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.

🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

İstek
curl -X POST "https://api.twexapi.io/v3/twitter/users/following" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "username": "elonmusk",
  "count": 20,
  "cursor": ""
}'
Yanıt
{
  "code": 200,
  "msg": "success",
  "data": {
    "users": [
      {
        "userId": "string",
        "isBlueVerified": true,
        "createdAt": "string",
        "createdAtDatetime": "string",
        "defaultProfile": true,
        "defaultProfileImage": true,
        "description": "string",
        "location": "string",
        "fastFollowersCount": 0,
        "favouritesCount": 0,
        "followersCount": 0,
        "followingCount": 0,
        "hasCustomTimelines": true,
        "isTranslator": true,
        "listedCount": 0,
        "mediaCount": 0,
        "name": "string",
        "normalFollowersCount": 0,
        "pinnedTweetIdsStr": [
          null
        ],
        "possiblySensitive": true,
        "profileImageUrlHttps": "string",
        "username": "string",
        "statusesCount": 0,
        "translatorType": "string",
        "verified": true,
        "verified_type": "blue",
        "withheldInCountries": [
          null
        ],
        "protected": true,
        "url": "string",
        "descriptionUrls": [
          null
        ],
        "urls": [
          null
        ],
        "pinnedTweetIds": [
          null
        ]
      }
    ],
    "has_next_page": true,
    "next_cursor": ""
  }
}